This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1316287 - Possible QEMU deadlock after creating image snapshots
Possible QEMU deadlock after creating image snapshots
Status: CLOSED ERRATA
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RBD (Show other bugs)
1.3.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 1.3.3
Assigned To: Jason Dillaman
Tejas
Bara Ancincova
:
Depends On: 1335269
Blocks: 1372735
  Show dependency treegraph
 
Reported: 2016-03-09 16:41 EST by Jason Dillaman
Modified: 2017-07-30 11:35 EDT (History)
7 users (show)

See Also:
Fixed In Version: RHEL: ceph-0.94.7-5.el7cp Ubuntu: ceph_0.94.7-3redhat1trusty
Doc Type: Bug Fix
Doc Text:
.The QEMU process no longer hangs when creating snapshots on images When the RADOS Block Device (RBD) cache was enabled, creating a snapshot on an image with active I/O operations could cause the QEMU process to become unresponsive. With this update, the QEMU process no longer hangs in the described scenario.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-29 08:57:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 13755 None None None 2016-03-09 16:43 EST
Ceph Project Bug Tracker 14988 None None None 2016-03-09 16:43 EST

  None (edit)
Description Jason Dillaman 2016-03-09 16:41:39 EST
Description of problem:
Creating a snapshot out-of-band (e.g. rbd snap create image@snap) on an image with active IO might result in all IO hanging within the QEMU process.  This only occurs when the RBD cache is enabled.

Version-Release number of selected component (if applicable):
1.3.2

How reproducible:
Requires that the RBD cache have pending writeback IO when a snapshot is created.

Steps to Reproduce:
1. Start a write-intensive operation within a VM
2. Create a snapshot of the RBD image

Actual results:
QEMU IO will hang

Expected results:
QEMU IO continues without issue

Additional info:
Comment 2 Jason Dillaman 2016-03-23 08:02:06 EDT
This issue only affects 1.3.x -- it doesn't affect 2.0.  Resetting the flags to account for the change.
Comment 3 Ken Dreyer (Red Hat) 2016-08-02 16:16:18 EDT
Fixed in v0.94.7 upstream. We'll take this BZ as part of the rebase (bz 1335269).
Comment 8 Tejas 2016-09-12 06:39:58 EDT
Verified in ceph version:
ceph version 0.94.9-1.el7cp

Steps followed:
1. enable rbd caching.
2. attach a RBD image to a KVM instance.
3. start IO on the RBD image from the VM.
4. Take  snapshots of the RBD image.
5. clone a snapshot.

No imapct to IO.

Moving this to Verified.

Thanks,
Tejas
Comment 11 errata-xmlrpc 2016-09-29 08:57:02 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1972.html

Note You need to log in before you can comment on or make changes to this bug.